Skip to content
PaloNexus
Request access Request

Verify Presentation

POST
/v1/agents/verify-presentation
curl --request POST \
--url https://example.com/v1/agents/verify-presentation \
--header 'Content-Type: application/json' \
--data '{ "vp": "example", "audience": "example" }'

Cryptographic egress identity for the control plane: verify an agent’s VP and map the proven did:key back to its registered name. Fail-closed.

Media type application/json
VerifyPresentationRequest
object
vp
required
Vp
string
audience
Any of:
string
Example generated
{
"vp": "example",
"audience": "example"
}

Successful Response

Media type application/json
VerifyPresentationResponse
object
ok
required
Ok
boolean
agentName
Any of:
string
agentDid
Any of:
string
reason
required
Reason
string
Example generated
{
"ok": true,
"agentName": "example",
"agentDid": "example",
"reason": "example"
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}